MockApplicationContext.MockResource (Grails 3.1.10)
Date: 2016-07-28

Package: org.grails.support

## [Java] Class MockResource

- org.grails.support.MockApplicationContext.MockResource

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MockApplicationContext.MockResource (java.lang.String location)`
    `MockApplicationContext.MockResource (java.lang.String location, java.lang.String contents)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `exists()`
    `java.lang.String` | `getDescription()`
    `java.io.InputStream` | `getInputStream()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.core.io.AbstractResource` | `org.springframework.core.io.AbstractResource#equals(java.lang.Object), org.springframework.core.io.AbstractResource#toString(), org.springframework.core.io.AbstractResource#hashCode(), org.springframework.core.io.AbstractResource#exists(), org.springframework.core.io.AbstractResource#getURL(), org.springframework.core.io.AbstractResource#isOpen(), org.springframework.core.io.AbstractResource#lastModified(), org.springframework.core.io.AbstractResource#getFile(), org.springframework.core.io.AbstractResource#contentLength(), org.springframework.core.io.AbstractResource#getURI(), org.springframework.core.io.AbstractResource#isReadable(), org.springframework.core.io.AbstractResource#getFilename(), org.springframework.core.io.AbstractResource#createRelative(java.lang.String), org.springframework.core.io.AbstractResource#wait(long, int), org.springframework.core.io.AbstractResource#wait(long), org.springframework.core.io.AbstractResource#wait(), org.springframework.core.io.AbstractResource#getClass(), org.springframework.core.io.AbstractResource#notify(), org.springframework.core.io.AbstractResource#notifyAll(), org.springframework.core.io.AbstractResource#getDescription(), org.springframework.core.io.AbstractResource#getInputStream()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public MockApplicationContext.MockResource(java.lang.String location)

    - #### public MockApplicationContext.MockResource(java.lang.String location, java.lang.String contents)

  - ### Method Detail

    - #### @java.lang.Override public boolean exists()

    - #### public java.lang.String getDescription()

    - #### public java.io.InputStream getInputStream()